# Simple toolchain template file for gcc running on x86_64 Linux
set(CMAKE_SYSTEM_NAME Linux)
set(CMAKE_SYSTEM_PROCESSOR x86_64)

set(CMAKE_SYSROOT /opt/x86_64-linux-musl/x86_64-linux-musl/sys-root/)
set(CMAKE_INSTALL_PREFIX $ENV{prefix})

set(CMAKE_C_COMPILER /opt/bin/x86_64-linux-musl-gcc)
set(CMAKE_CXX_COMPILER /opt/bin/x86_64-linux-musl-g++)

if( $ENV{CC} MATCHES ccache )
    set_property(GLOBAL PROPERTY RULE_LAUNCH_COMPILE ccache)
endif()
